For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
<Info> This method will be deprecated in a future version. New implementations should use the [Retrieve an indexed asset](/v1.3/api-reference/index-content/retrieve) method.</Info>
This method retrieves information about the specified video.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
index-idstringRequired
The unique identifier of the index to which the video has been uploaded.
video-idstringRequired
The unique identifier of the video to retrieve.
Query parameters
embedding_optionlist of enumsOptional
Specifies which types of embeddings to retrieve. Values: `visual`, `audio`, `transcription`. For details, see the [Embedding options](/v1.3/docs/concepts/modalities#embedding-options) section.
<Note title="Note">
To retrieve embeddings for a video, it must be indexed using the Marengo video understanding model. For details on enabling this model for an index, see the [Create an index](/reference/create-index) page.
</Note>
Allowed values:
transcriptionbooleanOptional
The parameter indicates whether to retrieve a transcription of the spoken words for the indexed video.
Response
The specified video information has successfully been retrieved.
_idstringOptional
The unique identifier of the video.
asset_idstringOptional
The unique identifier of the associated asset.
created_atstringOptional
A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the video indexing task was created.
updated_atstringOptional
A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the corresponding video indexing task was last updated. The platform updates this field every time the corresponding video indexing task transitions to a different state.
indexed_atstringOptional
A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the video indexing task has been completed.
system_metadataobjectOptional
System-generated metadata about the video.
user_metadatamap from strings to strings or integers or doubles or booleans or lists of stringsOptional
User-defined metadata for this video.
hlsobjectOptional
The platform returns this object only for the videos that you uploaded with the enable_video_stream parameter set to true.
embeddingobjectOptional
Contains the embedding and the associated information. The platform returns this field when the embedding_option parameter is specified in the request.
transcriptionlist of objectsOptional
An array of objects that contains the transcription. For each time range for which the platform finds spoken words, it returns an object that contains the fields below. If the platform doesn’t find any spoken words, the data field is set to null.
Errors
400
Bad Request Error
404
Not Found Error
This method will be deprecated in a future version. New implementations should use the Retrieve an indexed asset method.
This method retrieves information about the specified video.
Specifies which types of embeddings to retrieve. Values: visual, audio, transcription. For details, see the Embedding options section.
Note
To retrieve embeddings for a video, it must be indexed using the Marengo video understanding model. For details on enabling this model for an index, see the Create an index page.